Name:           libp11
Version:        0.2.2
Release:        5%{?dist}
Summary:        Library for using PKCS#11 modules

Group:          Development/Libraries
License:        LGPL
URL:            http://www.opensc-project.org/libp11
Source0:        http://www.opensc-project.org/files/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel pkgconfig libtool-ltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

%package devel
Summary:        Files for developing with %{name}
Group:          Development/Libraries
Requires:       pkgconfig libp11 = %{version}-%{release}
License:        LGPL

%description devel
Files for developing with %{name}

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/README doc/ChangeLog doc/*.html doc/*.css COPYING 
%{_libdir}/libp11.so.*

%files devel
%defattr(-,root,root,-)
%doc examples doc/api
%exclude %{_libdir}/*.la
%{_libdir}/libp11.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog 

* Thu Jun 28 2007 Matt Anderson <mra@hp.com> - 0.2.2-5
- Additional suggestions by tibbs@math.uh.edu, Source0 URL and license in docs

* Wed Jun 27 2007 Matt Anderson <mra@hp.com> - 0.2.2-4
- Merged in changes suggested by michael@gmx.net

* Thu Jun 21 2007 Matt Anderson <mra@hp.com> - 0.2.2-3
- Rebuilt .spec file based on rpmdev-newspec template
- Added --disable-static to comply with Fedora Packaging/Guidelines

* Thu Jun 21 2007 Matt Anderson <mra@hp.com> - 0.2.2-2
- Merged in changes suggested by tibbs@math.uh.edu

* Wed Jun 20 2007 Matt Anderson <mra@hp.com> - 0.2.2-1
- Initial RPM packaging

